#!/bin/bash
# This script converts markdown files to html and then uploads them to a website.

echo "Rendering Site"
cd /local/path/to/markdown/site

for f in *.md; 
do 
    pandoc -o "${f%.md}".html "$f";

echo "Site Rendered"

done;

sudo rsync -rtvzP --exclude template* /local/path/to/markdown/site*.html user@remote.server:/var/www/html; rm /local/path/to/markdown/site/*.html &&

echo "HTML files have been removed." &&

echo "Transferring other directories now." &&
scp -r /local/path/to/markdown/site/files/ user@remote.server:/var/www/html &&
scp -r /local/path/to/markdown/site/scripts/ user@remote.server:/var/www/html &&

echo "File transfer completed." &&

cd -
